=== modified file '__init__.py'
--- __init__.py	2011-11-17 21:27:30 +0000
+++ __init__.py	2011-12-06 16:57:32 +0000
@@ -136,15 +136,10 @@
                                        save_commit_messages,
                                        "Saving commit messages for gcommit")
 
-config.option_registry.register(
-    config.Option('nautilus_integration', default=True,
-           from_unicode=config.bool_from_store,
-           help='''\
-Whether to enable nautilus integration.
-
-Defines whether Nautilus integration should be enabled.
-'''))
-
+option_registry = getattr(config, "option_registry", None)
+if option_registry is not None:
+    config.option_registry.register_lazy('nautilus_integration',
+            'bzrlib.plugins.gtk.config', 'opt_nautilus_integration')
 
 def load_tests(basic_tests, module, loader):
     testmod_names = [

=== added file 'config.py'
--- config.py	1970-01-01 00:00:00 +0000
+++ config.py	2011-12-06 16:57:32 +0000
@@ -0,0 +1,36 @@
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Configuration options."""
+
+from bzrlib import (
+    config,
+    version_info as bzrlib_version,
+    )
+
+if bzrlib_version < (2, 5):
+    def Option(*args, **kwargs):
+        if 'help' in kwargs:
+            del kwargs['help']
+        return config.Option(*args, **kwargs)
+else:
+    Option = config.Option
+
+opt_nautilus_integration = Option('nautilus_integration', default=True,
+               from_unicode=config.bool_from_store,
+               help='''\
+Whether to enable nautilus integration.
+
+Defines whether Nautilus integration should be enabled.
+''')

